﻿
$ErrorActionPreference = 'Stop';
$url32        = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/96d11b17-86e9-4b1c-b674-85e4ede4770f/MicrosoftEdgeDevEnterpriseX86.msi'
$url64      = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/cd2cee6d-53c8-4314-885d-0df9616debda/MicrosoftEdgeDevEnterpriseX64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI'
  url           = $url32
  url64bit      = $url64

  softwareName  = 'Microsoft Edge Dev'

  checksum32      = '7e78530dbee22d2a13ccff9a8e03f9005e4526a3646cac72960297d0ffa33c53'
  checksumType  = 'sha256'
  checksum64    = '27c3e96bb0fa55358c1a8a55b88e14bc0be71ef892237f013b336a74930fa00c'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs










    








